#!/bin/sh
# Copyright (c) Juli 1997. Wolfram Schneier <wosch@FreeBSD.org>. Berlin.
# 
# dict - simple english/german dictionary
#
# $Id$

PATH=/bin:/usr/bin:/usr/local/bin:$PATH; export PATH

agrep='agrep'
agrep_opt='-i'

dict='/usr/local/share/ger-eng.txt'

case $# in
    0) echo "usage: dict word"; exit 1;;
esac

if test -t; then
    : ${PAGER=more}
else
    PAGER=cat
fi

if $agrep $agrep_opt - $1 $dict; then 
    :
else
    echo "Nothing found, try best match mode" >&2
    $agrep $agrep_opt -B - $1 $dict
fi | perl -ne '($en, $de) = split(/\s*::\s*/);
	  print sprintf("%-35s %s", $en, $de);' | $PAGER

